## kdevelop-custom-buildsystem 1.2.1

=== CMakeLists.txt ===
project(kdevelop4-custom-buildsystem)

set(KDE4_BUILD_TESTS "ON" CACHE "BOOL" "Enable building of tests" FORCE )

find_package(KDE4 4.5.0 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
find_package(KDevPlatform 1.2.60 REQUIRED)

if(KDevPlatform_VERSION VERSION_GREATER 1.3.59)
    MESSAGE(FATAL_ERROR "This version of the plugin doesn't work with KDevPlatform 1.4, version 1.3 is required")
endif(KDevPlatform_VERSION VERSION_GREATER 1.3.59)

set(CUSTOM_BUILDSYSTEM_VERSION 1.2.1)

include_directories( ${KDE4_INCLUDES} ${KDEVPLATFORM_INCLUDE_DIR})

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -DCUSTOM_BUILDSYSTEM_VERSION=\\\"${CUSTOM_BUILDSYSTEM_VERSION}\\\" )

## Unittests
add_subdirectory( tests )

## KDevelop Plugin
set( custom_SRCS custombuildsystemplugin.cpp custombuildjob.cpp )
kde4_add_plugin( kdevcustombuildsystem ${custom_SRCS} )
target_link_libraries( kdevcustombuildsystem
        ${KDEVPLATFORM_PROJECT_LIBRARIES}
        ${KDEVPLATFORM_INTERFACES_LIBRARIES}
        ${KDEVPLATFORM_UTIL_LIBRARIES}
        ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES}
    )

## KCM for the Plugin
set( custom_kcm_SRCS 
        projectpathsmodel.cpp 
        definesmodel.cpp
        includesmodel.cpp
        configwidget.cpp
        custombuildsystemconfigwidget.cpp
        kcm_custombuildsystem.cpp 
   )
kde4_add_ui_files( custom_kcm_SRCS configwidget.ui custombuildsystemconfigwidget.ui )
kde4_add_kcfg_files( custom_kcm_SRCS kcfg_custombuildsystemconfig.kcfgc )
kde4_add_plugin( kcm_kdevcustombuildsystem ${custom_kcm_SRCS} )
target_link_libraries( kcm_kdevcustombuildsystem ${KDE4_KIO_LIBS} ${KDEVPLATFORM_INTERFACES_LIBRARIES} ${KDEVPLATFORM_LANGUAGE_LIBRARIES} ${KDEVPLATFORM_PROJECT_LIBRARIES} ${KDEVPLATFORM_UTIL_LIBRARIES} )

## Installation
install( TARGETS kcm_kdevcustombuildsystem
                 kdevcustombuildsystem
         DESTINATION ${PLUGIN_INSTALL_DIR} )

install( FILES kdevcustombuildsystem.desktop
               kcm_kdevcustombuildsystem.desktop
         DESTINATION ${SERVICES_INSTALL_DIR} )

=== debian/changelog ===
kdevelop-custom-buildsystem (1.2.1-0ubuntu1) precise; urgency=low

  * Initial package
    - Disable tests in debian/rules as they require X

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 19 Jan 2012 02:24:10 +0530

## kdevelop-custom-buildsystem 1.2.2

=== debian/changelog ===
kdevelop-custom-buildsystem (1.2.2-0ubuntu1) quantal; urgency=low

  * Bug fix update to fix FTBFS (compatible with current KDevPlatform - 1.4)
  * Updated debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Sep 2012 23:01:08 -0400

=== debian/control ===
Source: kdevelop-custom-buildsystem
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, kdevplatform-dev (>= 1.1.0)
Standards-Version: 3.9.2
Homepage:  http://www.kdevelop.org/

Package: kdevelop-custom-buildsystem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDevelop plugin to handle arbitrary custom buildsystems
 It supports setting up commands and arguments to build, configure, clean,
 'dist-clean' and install the project, so that KDevelop's actions work as
 expected.
 .
 Additionally it allows to setup include directories (or import-directories) and
 defines for the project on a per-directory basis. This allows the C++ support
 and other language plugins to find file-references without manually adding them
 via the include-assistant.
 .
 This package contains a KDevelop plugin to handle arbitary custom buildsystems

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --parallel --list-missing --with kde

.PHONY: override_dh_auto_test
